workerconfig 4.4.0;
buttons {
	button {
		position = 0;
		title = "pack ZSTD";
		color = 1,0;
		shortkeys {
		}
		commands {
			OwnOp {
				separateeachentry = true;
				recursive = false;
				start = terminalwait;
				com = "zstd -v --rm -{Rs{Compression 1-19 (default 3)}{19}} -- {F}";
				viewstr = "";
				inbackground = false;
				takedirs = false;
				dontcd = false;
			}
			ReloadOp {
				mode = current;
				resetdirsizes = false;
				keepfiletypes = false;
			}
		}
	}
	button {
		position = 1;
		title = "unpack ZSTD";
		color = 1,0;
		shortkeys {
		}
		commands {
			OwnOp {
				separateeachentry = true;
				recursive = false;
				start = terminalwait;
				com = "zstd -dv --rm -- {F}";
				viewstr = "";
				inbackground = false;
				takedirs = false;
				dontcd = false;
			}
			ReloadOp {
				mode = current;
				resetdirsizes = false;
				keepfiletypes = false;
			}
		}
	}
}
filetypes {
	filetype {
		title = "TZSTD archive";
		pattern = ".*\\.\\(tar\\.zst$\\)\\|\\(tzst$\\)";
		usepattern = true;
		usecontent = false;
		content {
		}
		type = normal;
		patternignorecase = true;
		patternuseregexp = true;
		patternusefullname = false;
		extcond = "";
		useextcond = false;
		ftcommands {
			dnd {
				OwnOp {
					separateeachentry = false;
					recursive = false;
					start = terminalwait;
					com = "zstd -c -d -- {F} | tar xvf - -C {dp}";
					viewstr = "";
					inbackground = false;
					takedirs = false;
					dontcd = false;
				}
				ReloadOp {
					mode = left;
					resetdirsizes = false;
					keepfiletypes = false;
				}
				ReloadOp {
					mode = right;
					resetdirsizes = false;
					keepfiletypes = false;
				}
			}
			customaction {
				name = "unzstd";
				commands {
					OwnOp {
						separateeachentry = false;
						recursive = false;
						start = terminalwait;
						com = "zstd -d --rm -- {f}";
						viewstr = "";
						inbackground = false;
						takedirs = false;
						dontcd = false;
					}
					ReloadOp {
						mode = current;
						resetdirsizes = false;
						keepfiletypes = false;
					}
				}
			}
		}
		subtype {
		}
		colormode = default;
		unselectcolor = 1,0;
		selectcolor = 1,0;
		unselectactivecolor = 1,0;
		selectactivecolor = 1,0;
	}
}
